package com.yunzhi.marketing.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 商户外卖标签 
 * </p>
 *
 * @author yansen
 * @since 2020-11-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdShopBadge implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
    @TableId(value = "shop_badge_code", type = IdType.INPUT)
    private String shopBadgeCode;

    /**
     * 说明
     */
    private String remark;

    /**
     * 颜色
     */
    private String color;

    /**
     * 排序
     */
    private Integer sortNo;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;


}
