package com.yunzhi.marketing.redpack.service;

import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.redpack.entity.TaRedPacketPerson;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 红包助力报名表  服务类
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
public interface ITaRedPacketPersonService extends IService<TaRedPacketPerson> {

    /**
     * 查询红包活动排行榜
     *
     * @param pageNum
     * @param pageSize
     * @param activityId
     * @param phone
     * @param orgId
     * @return
     */
    ResponseBean getRedPacketRankingList(Integer pageNum, Integer pageSize, String activityId, String phone, Integer orgId);

    /**
     * 导出红包活动排行榜
     *
     * @param activityId
     * @param phone
     * @param orgId
     * @param response
     */
    void exportRedPacketRankingList(String activityId, String phone, Integer orgId, HttpServletResponse response) throws Exception;

}
