package com.yunzhi.marketing.sample.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 样例与联系人关联表 
 * </p>
 *
 * @author fxf
 * @since 2020-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaSampleContact implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 样例与联系人关联表
     */
    @TableId(value = "sample_contact_id", type = IdType.AUTO)
    private Integer sampleContactId;

    /**
     * 样例id
     */
    private Integer sampleId;

    /**
     * 联系人id
     */
    private Integer contactId;


}
